# psputility_msgdialog.h File Reference

`#include <psptypes.h>`

Include dependency graph for psputility_msgdialog.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | _SceUtilityMsgDialogParams
| Structure to hold the parameters for a message dialog. More...

## Typedefs

typedef _SceUtilityMsgDialogParams | SceUtilityMsgDialogParams
| Structure to hold the parameters for a message dialog.

## Functions

int | sceUtilityMsgDialogInitStart (SceUtilityMsgDialogParams *params)
| Create a message dialog.
void | sceUtilityMsgDialogShutdownStart (void)
| Remove a message dialog currently active.
int | sceUtilityMsgDialogGetStatus (void)
| Get the current status of a message dialog currently active.
void | sceUtilityMsgDialogUpdate (int n)
| Refresh the GUI for a message dialog currently active.

## Typedef Documentation

typedef struct _SceUtilityMsgDialogParams SceUtilityMsgDialogParams

| Structure to hold the parameters for a message dialog.

## Function Documentation

int sceUtilityMsgDialogGetStatus | ( | void |  | ) |

Get the current status of a message dialog currently active.

Returns:
  2 if the GUI is visible (you need to call sceUtilityMsgDialogGetStatus). 3 if the user cancelled the dialog, and you need to call sceUtilityMsgDialogShutdownStart. 4 if the dialog has been successfully shut down.

int sceUtilityMsgDialogInitStart | ( | SceUtilityMsgDialogParams * | params | ) |

Create a message dialog.

Parameters:

  | params | - dialog parameters

Returns:
  0 on success

void sceUtilityMsgDialogShutdownStart | ( | void |  | ) |

| Remove a message dialog currently active. After calling this function you need to keep calling GetStatus and Update until you get a status of 4.

void sceUtilityMsgDialogUpdate | ( | int | n | ) |

Refresh the GUI for a message dialog currently active.

Parameters:

  | n | - unknown, pass 2